# Get database import status

Source: https://next.coolify.io/docs/api/endpoints/databases/get-database-import

## GET /databases/{uuid}/imports/{activity_id}

Get database import status

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | UUID of the database. |
| activity_id | path | yes | integer | Import activity ID. |

### Responses

#### 200

Import status

`application/json`: DatabaseImportStatus

Schema `DatabaseImportStatus`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| id | integer | no |  |
| status | string enum "queued", "in_progress", "finished", "error", "killed", "cancelled", "closed" | no |  |
| exit_code | integer or null | no |  |
| output | string | no |  |
| created_at | string (date-time) | no |  |
| updated_at | string (date-time) | no |  |
| finished_at | string or null (date-time) | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
